$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.46-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.46-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A20959FCAEF36CA7975C4ADC0B27ED50C7931D0802FC49F96B3CF495DBDAD48A'
  checksumType = 'sha256'
  checksum64 = 'A20959FCAEF36CA7975C4ADC0B27ED50C7931D0802FC49F96B3CF495DBDAD48A'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.46-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
